#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of tensorflow-addons
if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://files.pythonhosted.org/packages/b1/cb/e552661c2c0ce67da3b1c5cb2960cbb82dff50ff67033c29eb446d93c652/tensorflow_addons-0.15.0-cp37-cp37m-manylinux_2_12_x86_64.manylinux2010_x86_64.whl
    elif [ "$PY_VER" == "3.8" ]; then
        wheel_url=https://files.pythonhosted.org/packages/c3/10/3e71633a2a05e63473e11d4733d211510cc40eb92c710cfdca4e35716b4d/tensorflow_addons-0.15.0-cp38-cp38-manylinux_2_12_x86_64.manylinux2010_x86_64.whl
    elif [ "$PY_VER" == "3.9" ]; then
        wheel_url=https://files.pythonhosted.org/packages/3b/21/32c714f376285f3464347d813f366718edbeeb11e4a15f789c679a854399/tensorflow_addons-0.15.0-cp39-cp39-manylinux_2_12_x86_64.manylinux2010_x86_64.whl
    fi
fi


if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc

